Download it now!
Bug 125805 - "Insert Hyperlink" dialogue box does not scale correctly on high DPI.
Summary: "Insert Hyperlink" dialogue box does not scale correctly on high DPI.
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.4.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: HiDPI
  Show dependency treegraph
 
Reported: 2019-06-08 19:16 UTC by typingcat
Modified: 2020-03-18 02:41 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screen capture (27.13 KB, image/png)
2019-06-08 19:17 UTC, typingcat
Details
6.3.0.4 screen (130.48 KB, image/png)
2019-08-19 10:28 UTC, typingcat
Details

Note You need to log in before you can comment on or make changes to this bug.
Description typingcat 2019-06-08 19:16:38 UTC
Description:
4K monitor, 200% scaling, the "Insert Hyperlink" does not scale correctly.

Steps to Reproduce:
1. Click the "Insert Hyperlink" button on the toolbar.
2.
3.

Actual Results:
Incorrect scaling for image resources.

Expected Results:
Correct scaling.


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:
Version: 6.2.4.2 (x64)
Build ID: 2412653d852ce75f65fbfa83fb7e7b669a126d64
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: en-GB (en_GB); UI-Language: en-GB
Calc: threaded
Comment 1 typingcat 2019-06-08 19:17:15 UTC
Created attachment 152053 [details]
Screen capture

Screen capture of the dialogue box.
Comment 2 ace_dent 2019-06-14 22:41:23 UTC
Possible duplicate of Bug 123623 - LO Calc, Insert -> Hyperlink -> Icons and text looks bad ...
Comment 3 Xisco Faulí 2019-08-19 09:51:52 UTC
A new major release of LibreOffice is available since this bug was reported.
Could you please try to reproduce it with the latest version of LibreOffice
from https://www.libreoffice.org/download/libreoffice-fresh/ ?
I have set the bug's status to 'NEEDINFO'. Please change it back to
'UNCONFIRMED' if the bug is still present in the latest version.
Comment 4 typingcat 2019-08-19 10:28:53 UTC
Created attachment 153502 [details]
6.3.0.4 screen

Eh... It now looks better (see the attached screenshot), although I do not think they look ideal (icons are too small and not well-aligned with the text labels. But, that is just a minor cosmetic problem one can live with. I think it can be closed.
Comment 5 Xisco Faulí 2019-08-19 10:30:25 UTC
@Caolán, can you reproduce this on your end ?
Comment 6 QA Administrators 2020-02-16 02:05:49 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2020-03-18 02:41:45 UTC
Dear typingcat,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-FollowUp